org.apache.olingo.odata2.api.edm.provider

## Class ReferentialConstraint

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.ReferentialConstraint

-     public class ReferentialConstraint
      extends Object

  Objects of this Class represent a referential constraint

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferentialConstraint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `ReferentialConstraintRole` | `getDependent()`
    `Documentation` | `getDocumentation()`
    `ReferentialConstraintRole` | `getPrincipal()`
    `ReferentialConstraint` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `ReferentialConstraint`
    `ReferentialConstraint` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `ReferentialConstraint`
    `ReferentialConstraint` | `setDependent(ReferentialConstraintRole dependent)` Sets the dependent `ReferentialConstraintRole` for this `ReferentialConstraint`
    `ReferentialConstraint` | `setDocumentation(Documentation documentation)` Sets the `Documentation` of this `ReferentialConstraint`
    `ReferentialConstraint` | `setPrincipal(ReferentialConstraintRole principal)` Sets the principal `ReferentialConstraintRole` for this `ReferentialConstraint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferentialConstraint

          public ReferentialConstraint()

  - ### Method Detail

    - #### getPrincipal

          public ReferentialConstraintRole getPrincipal()

      Returns:
        `ReferentialConstraintRole` the principal of this `ReferentialConstraint`

    - #### getDependent

          public ReferentialConstraintRole getDependent()

      Returns:
        `ReferentialConstraintRole` the dependent of this `ReferentialConstraint`

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setPrincipal

          public ReferentialConstraint setPrincipal(ReferentialConstraintRole principal)

      Sets the principal `ReferentialConstraintRole` for this `ReferentialConstraint`
      Parameters:
        `principal` -
      Returns:
        `ReferentialConstraint` for method chaining

    - #### setDependent

          public ReferentialConstraint setDependent(ReferentialConstraintRole dependent)

      Sets the dependent `ReferentialConstraintRole` for this `ReferentialConstraint`
      Parameters:
        `dependent` -
      Returns:
        `ReferentialConstraint` for method chaining

    - #### setDocumentation

          public ReferentialConstraint setDocumentation(Documentation documentation)

      Sets the `Documentation` of this `ReferentialConstraint`
      Parameters:
        `documentation` -
      Returns:
        `ReferentialConstraint` for method chaining

    - #### setAnnotationAttributes

          public ReferentialConstraint setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `ReferentialConstraint`
      Parameters:
        `annotationAttributes` -
      Returns:
        `ReferentialConstraint` for method chaining

    - #### setAnnotationElements

          public ReferentialConstraint setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `ReferentialConstraint`
      Parameters:
        `annotationElements` -
      Returns:
        `ReferentialConstraint` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.